package com.yonge.toolset.payment.base.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 支付渠道
 * 汇付支持 alipay、wx_lite
 * 原生支持 ali_app、wx_app
 * @author liweifan
 * @updateTime 2022/3/31 11:30
 */
public enum PayChannelEnum implements BaseEnum<String, PayChannelEnum> {
    alipay("支付宝扫码"),
    ali_app("支付宝app"),

    wx_app("微信app"),
    wx_lite("微信小程序支付"),
    ;

    @EnumValue
    private String code;
    private String msg;

    PayChannelEnum(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
